DELIMITER mysolus$$
	CREATE  OR REPLACE  VIEW `CDM_Customer_Product_Basket` AS select `a`.`Customer_Id` AS `Customer_Id`,min(`a`.`ERD`) AS `Earliest_Replenish_Date`,group_concat(distinct `a`.`Product_Comm_Name` separator ',') AS `Replenish_Products`,group_concat(distinct `a`.`Product_LOV_Id` separator ',') AS `Replenish_Products_LOV_Id` from (select `t1`.`Customer_Id` AS `Customer_Id`,`t1`.`Product_Id` AS `Product_Id`,`t1`.`Bill_Date` AS `Bill_Date`,`t2`.`Product_LOV_Id` AS `Product_LOV_Id`,`t2`.`Product_Comm_Name` AS `Product_Comm_Name`,`t2`.`Replenish_Days` AS `Replenish_Days`,`t1`.`Bill_Date` + interval `t2`.`Replenish_Days` day AS `ERD` from (`CDM_Bill_Details` `t1` join `CDM_Product_Master` `t2` on(`t1`.`Product_Id` = `t2`.`Product_Id`)) where `t2`.`Replenish_Days` <> -1 and `t1`.`Bill_Date` + interval `t2`.`Replenish_Days` day between curdate() and curdate() + interval (select max(`CDM_LOV_Master`.`LOV_Value`) from `CDM_LOV_Master` where `CDM_LOV_Master`.`LOV_Attribute` = 'REPLENISH_DAY') day order by `t1`.`Bill_Date` + interval `t2`.`Replenish_Days` day) `a` group by `a`.`Customer_Id`	
mysolus$$
